From 619e7990e45bdf3e25da07fa3cd859b4b406e2a2 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Thu, 19 Jun 2014 12:15:04 +0100
Subject: [PATCH 15/17] [sssd] scrub ldap_default_authtok password

---
 sos/plugins/sssd.py | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/sos/plugins/sssd.py b/sos/plugins/sssd.py
index 81bbb9b..59a9344 100644
--- a/sos/plugins/sssd.py
+++ b/sos/plugins/sssd.py
@@ -27,3 +27,11 @@ class sssd(sos.plugintools.PluginBase):
     def setup(self):
         self.addCopySpec("/etc/sssd")
         self.addCopySpec("/var/log/sssd/*")
+
+    def postproc(self):
+        self.doRegexSub(
+            "/etc/sssd/sssd.conf",
+            r"(\s*ldap_default_authtok\s*=\s*)\S+",
+            r"\1********"
+        )
+
-- 
1.9.3

